uuid: be406395-6400-4159-ac3d-b5a72451b513
langcode: en
status: true
dependencies:
  module:
    - language
id: config_sync.module.language
snapshotSet: config_sync
extensionType: module
extensionName: language
items:
  -
    collection: ''
    name: language.entity.en
    data:
      langcode: en
      status: true
      dependencies: {  }
      id: en
      label: English
      direction: ltr
      weight: 0
      locked: false
  -
    collection: ''
    name: language.entity.und
    data:
      langcode: en
      status: true
      dependencies: {  }
      id: und
      label: 'Not specified'
      direction: ltr
      weight: 2
      locked: true
  -
    collection: ''
    name: language.entity.zxx
    data:
      langcode: en
      status: true
      dependencies: {  }
      id: zxx
      label: 'Not applicable'
      direction: ltr
      weight: 3
      locked: true
  -
    collection: ''
    name: language.mappings
    data:
      map:
        'no': nb
        pt: pt-pt
        zh: zh-hans
        zh-tw: zh-hant
        zh-hk: zh-hant
        zh-mo: zh-hant
        zh-cht: zh-hant
        zh-cn: zh-hans
        zh-sg: zh-hans
        zh-chs: zh-hans
  -
    collection: ''
    name: language.negotiation
    data:
      session:
        parameter: language
      url:
        source: path_prefix
        prefixes:
          en: ''
        domains:
          en: ''
      selected_langcode: site_default
  -
    collection: ''
    name: language.types
    data:
      all:
        - language_interface
        - language_content
        - language_url
      configurable:
        - language_interface
      negotiation:
        language_content:
          enabled:
            language-interface: 0
        language_url:
          enabled:
            language-url: 0
            language-url-fallback: 1
        language_interface:
          enabled:
            language-url: 0
  -
    collection: ''
    name: tour.tour.language
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - language
      id: language
      label: Language
      module: language
      routes:
        -
          route_name: entity.configurable_language.collection
      tips:
        language-overview:
          id: language-overview
          plugin: text
          label: Languages
          body: '<p>The "Languages" page allows you to add, edit, delete, and reorder languages for the site.</p>'
          weight: 1
        language-add:
          id: language-add
          plugin: text
          label: 'Adding languages'
          body: '<p>To add more languages to your site, click the "Add language" button.</p><p>Added languages will be displayed in the language list and can then be edited or deleted.</p>'
          weight: 2
          attributes:
            data-class: button-action
        language-reorder:
          id: language-reorder
          plugin: text
          label: 'Reordering languages'
          body: '<p>To reorder the languages on your site, use the drag icons next to each language.</p><p>The order shown here is the display order for language lists on the site such as in the language switcher blocks provided by the Interface Translation and Content Translation modules.</p><p>When you are done with reordering the languages, click the "Save configuration" button for the changes to take effect.</p>'
          weight: 3
          attributes:
            data-class: draggable
        language-default:
          id: language-default
          plugin: text
          label: 'Set a language as default'
          body: '<p>You can change the default language of the site by choosing one of your configured languages as default. The site will use the default language in situations where no choice is made but a language should be set, for example as the language of the displayed interface.</p>'
          weight: 4
          attributes:
            data-class: js-form-item-site-default-language
        language-operations:
          id: language-operations
          plugin: text
          label: 'Modifying languages'
          body: '<p>Operations are provided for editing and deleting your languages.</p><p>You can edit the name and the direction of the language.</p><p>Deleted languages can be added back at a later time. Deleting a language will remove all interface translations associated with it, and content in this language will be set to be language neutral. Note that you cannot delete the default language of the site.</p>'
          weight: 5
          attributes:
            data-class: dropbutton-wrapper
        language-continue:
          id: language-continue
          plugin: text
          label: 'Continuing on'
          body: '<p>Now that you have an overview of the "Languages" page, you can continue by:<ul><li><a href="[site:url]admin/config/regional/language/add">Adding a language</a></li><li>Reordering languages</li><li>Editing a language</li><li>Deleting a language</li></ul></p>'
          weight: 6
  -
    collection: ''
    name: tour.tour.language-add
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - language
      id: language-add
      label: 'Adding languages'
      module: language
      routes:
        -
          route_name: language.add
      tips:
        language-add-overview:
          id: language-add-overview
          plugin: text
          label: 'Adding languages'
          body: '<p>This page provides the ability to add common languages to your site.</p><p>If the desired language is not available, you can add a custom language.</p>'
          weight: 1
        language-add-choose:
          id: language-add-choose
          plugin: text
          label: 'Select language'
          body: '<p>Choose a language from the list, or choose "Custom language..." at the end of the list.</p><p>Click the "Add language" button when you are done choosing your language.</p><p>When adding a custom language, you will get an additional form where you can provide the name, code, and direction of the language.</p>'
          weight: 2
          attributes:
            data-id: edit-predefined-langcode
        language-add-continue:
          id: language-add-continue
          plugin: text
          label: 'Continuing on'
          body: '<p>Now that you have an overview of the "Add languages" feature, you can continue by:<ul><li>Adding a language</li><li>Adding a custom language</li><li><a href="[site:url]admin/config/regional/language">Viewing configured languages</a></li></ul></p>'
          weight: 3
  -
    collection: ''
    name: tour.tour.language-edit
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - language
      id: language-edit
      label: 'Editing languages'
      module: language
      routes:
        -
          route_name: entity.configurable_language.edit_form
      tips:
        language-edit-overview:
          id: language-edit-overview
          plugin: text
          label: 'Editing languages'
          body: '<p>This page provides the ability to edit a language on your site, including custom languages.</p>'
          weight: 1
        language-edit-langcode:
          id: language-edit-langcode
          plugin: text
          label: 'Language code'
          body: '<p>You cannot change the code of a language on the site, since it is used by the system to keep track of the language.</p>'
          weight: 2
          attributes:
            data-id: edit-langcode-view
        language-edit-label:
          id: language-edit-label
          plugin: text
          label: 'Language name'
          body: '<p>The language name is used throughout the site for all users and is written in English. Names of built-in languages can be translated using the Interface Translation module, and names of both built-in and custom languages can be translated using the Configuration Translation module.</p>'
          weight: 3
          attributes:
            data-id: edit-label
        language-edit-direction:
          id: language-edit-direction
          plugin: text
          label: 'Language direction'
          body: '<p>Choose if the language is a "Left to right" or "Right to left" language.</p><p>Note that not all themes support "Right to left" layouts, so test your theme if you are using "Right to left".</p>'
          weight: 4
          attributes:
            data-id: edit-direction--wrapper--description
        language-edit-continue:
          id: language-edit-continue
          plugin: text
          label: 'Continuing on'
          body: '<p>Now that you have an overview of the "Edit language" feature, you can continue by:<ul><li>Editing a language</li><li><a href="[site:url]admin/config/regional/language">Viewing configured languages</a></li></ul></p>'
          weight: 5
